package tools;

import org.bukkit.Material;
import org.bukkit.enchantments.Enchantment;
import org.bukkit.inventory.ItemFlag;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.inventory.meta.PotionMeta;
import org.bukkit.potion.PotionData;
import org.bukkit.potion.PotionType;

import java.util.ArrayList;
import java.util.List;

public class StackUtil {
    public static ItemStack diamondSword(){
        ItemStack item = new ItemStack(Material.DIAMOND_SWORD);
        ItemMeta meta = item.getItemMeta();
        meta.addItemFlags(ItemFlag.HIDE_UNBREAKABLE);
        meta.setUnbreakable(true);
        item.setItemMeta(meta);
        return item;
    }
    public static ItemStack ironPickaxe(){
        ItemStack item = new ItemStack(Material.IRON_PICKAXE);
        ItemMeta meta = item.getItemMeta();
        meta.addItemFlags(ItemFlag.HIDE_UNBREAKABLE);
        meta.setUnbreakable(true);
        item.setItemMeta(meta);
        return item;
    }
    public static ItemStack trident(){
        ItemStack item = new ItemStack(Material.TRIDENT);
        ItemMeta meta = item.getItemMeta();
        meta.setDisplayName("§6§l三叉戟");
        List<String> lore = new ArrayList<>();
        lore.add("§7#极光像素工作室制作");
        meta.setLore(lore);
        meta.addItemFlags(ItemFlag.HIDE_UNBREAKABLE);
        meta.setUnbreakable(true);
        item.setItemMeta(meta);
        return item;
    }
    public static ItemStack bow(){
        ItemStack item = new ItemStack(Material.BOW);
        ItemMeta meta = item.getItemMeta();
        meta.setDisplayName("§6§l弓");
        List<String> lore = new ArrayList<>();
        lore.add("§7#极光像素工作室制作");
        meta.setLore(lore);
        meta.addItemFlags(ItemFlag.HIDE_UNBREAKABLE);
        meta.addEnchant(Enchantment.ARROW_DAMAGE,2,true);
        meta.setUnbreakable(true);
        item.setItemMeta(meta);
        return item;
    }
    public static ItemStack bloodBag(){
        ItemStack item = new ItemStack(Material.POTATO);
        ItemMeta meta = item.getItemMeta();
        meta.setDisplayName("§c§l小血瓶");
        List<String> lore = new ArrayList<>();
        lore.add("§a★§7恢复生命的药剂");
        lore.add("§c❤");
        meta.setLore(lore);
        meta.setCustomModelData(801);
        item.setItemMeta(meta);
        return item;
    }
    public static ItemStack bigBloodBag(){
        ItemStack item = new ItemStack(Material.POTATO);
        ItemMeta meta = item.getItemMeta();
        meta.setDisplayName("§c§l大血瓶");
        List<String> lore = new ArrayList<>();
        lore.add("§a★§7恢复生命的药剂");
        lore.add("§c❤❤❤");
        meta.setLore(lore);
        meta.setCustomModelData(802);
        item.setItemMeta(meta);
        return item;
    }
    public static ItemStack extraGradeBloodPack(){
        ItemStack item = new ItemStack(Material.POTATO);
        ItemMeta meta = item.getItemMeta();
        meta.setDisplayName("§c§l特级血瓶");
        List<String> lore = new ArrayList<>();
        lore.add("§a★§7恢复生命的药剂");
        lore.add("§c❤❤❤❤❤");
        meta.setLore(lore);
        meta.setCustomModelData(803);
        item.setItemMeta(meta);
        return item;
    }
}
